Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FinalView Class Template Reference

`#include <coherence/lang/FinalView.hpp>`

Inherits MemberView< T >.

List of all members.

## Detailed Description

### template<class T>
class coherence::lang::FinalView< T >

FinalView is an immutable thread-safe view intended for use as a data-member within Objects.

Author:
  mf 2008.12.01

See also:
  FinalHandle

  FinalHolder

## Public Types
typedef T | ValueType
| The type of the values the holder can reference.
typedef T::View | ValueView
| The View type for the referenced Object.
## Public Member Functions
| FinalView (const Object &oGuardian)
| Construct a new FinalView referencing NULL via a handle.
| FinalView (const Object &oGuardian, const ValueView &that)
| Construct a new FinalView referencing specified Object.
| FinalView (const Object &oGuardian, const ValueView &that, bool fMutable)
| Construct a new FinalView referencing specified Object.
| operator ValueView () const
| Return a View to the referenced Object.
template<class PT>
| o () const
| Return a View to the referenced Object.
template<class PT>
| o () const
| Return a TypedHolder to the referenced Object.
const T * | operator-> () const
| Dereference the FinalView.
## Protected Member Functions
void | initialize (ValueView that)
| Initialize the value of a FinalView after it is constructed.

## Constructor & Destructor Documentation

FinalView | ( | const Object & | oGuardian | ) | `[inline]`

Construct a new FinalView referencing NULL via a handle.

Parameters:

  | oGuardian | the object that protects this member

FinalView | ( | const Object & | oGuardian,
|  | const ValueView & | that |
| ) |  |  | `[inline]`

Construct a new FinalView referencing specified Object.

Parameters:

  | oGuardian | the object that protects this member
  | that | the object to reference

FinalView | ( | const Object & | oGuardian,
|  | const ValueView & | that,
|  | bool | fMutable |
| ) |  |  | `[inline]`

Construct a new FinalView referencing specified Object.

Parameters:

  | oGuardian | the object that protects this member
  | that | the object to reference
  | fMutable | true if the member is declared as mutable, false if declared as const

## Member Function Documentation

operator ValueView | ( |  | ) | const`[inline]`

Return a View to the referenced Object.

Returns:
  a View to the referenced Object

Reimplemented from MemberView.

o | ( |  | ) | const`[inline]`

Return a View to the referenced Object.

Returns:
  a View to the referenced Object

Reimplemented from MemberView.

o | ( |  | ) | const`[inline]`

Return a TypedHolder to the referenced Object.

Returns:
  a TypedHolder to the referenced Object

Reimplemented from MemberView.

const T* operator-> | ( |  | ) | const`[inline]`

Dereference the FinalView.

Returns:
  a const pointer to the referenced Object

Reimplemented from MemberView.

void initialize | ( | ValueView | that | ) | `[inline, protected]`

Initialize the value of a FinalView after it is constructed.

A FinalView may be initialized only if the following conditions hold:

- The FinalView has not already been initialized (either during construction, or via `initialize()`)
- The FinalView has not escaped

Parameters:

  | that | the value to initialize this FinalView to

The documentation for this class was generated from the following file:

- coherence/lang/FinalView.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.